Package org.apache.sling.jcr.contentloader

# Class ContentTypeUtil

java.lang.Object
org.apache.sling.jcr.contentloader.ContentTypeUtil

public class ContentTypeUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXT_JAR`
`static final String`
`EXT_JCR_XML`
`static final String`
`EXT_JSON`
`static final String`
`EXT_XML`
`static final String`
`EXT_ZIP`
`static final String`
`TYPE_JAR`
`static final String`
`TYPE_JCR_XML`
`static final String`
`TYPE_JSON`
`static final String`
`TYPE_XML`
`static final String`
`TYPE_ZIP`

## Method Summary

Modifier and Type
Method
Description
`static String`
`detectContentType(String filename)`
`static String`
`getDefaultExtension(String contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXT_JSON

public static final String EXT_JSON

See Also:
  - Constant Field Values

### TYPE_JSON

public static final String TYPE_JSON

See Also:
  - Constant Field Values

### EXT_XML

public static final String EXT_XML

See Also:
  - Constant Field Values

### TYPE_XML

public static final String TYPE_XML

See Also:
  - Constant Field Values

### EXT_JCR_XML

public static final String EXT_JCR_XML

See Also:
  - Constant Field Values

### TYPE_JCR_XML

public static final String TYPE_JCR_XML

See Also:
  - Constant Field Values

### EXT_ZIP

public static final String EXT_ZIP

See Also:
  - Constant Field Values

### TYPE_ZIP

public static final String TYPE_ZIP

See Also:
  - Constant Field Values

### EXT_JAR

public static final String EXT_JAR

See Also:
  - Constant Field Values

### TYPE_JAR

public static final String TYPE_JAR

See Also:
  - Constant Field Values

## Method Details

### detectContentType

public static String detectContentType(String filename)

### getDefaultExtension

public static String getDefaultExtension(String contentType)